GET api/pcapi/pcsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_id": "ee5189d5-f403-4181-a221-c25bc8499fba",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "16d5cf7c-860f-426f-99c7-6cd5f1bd4097",
"local_ip": "sample string 7",
"lock_id": "edf6294f-cc35-4c8f-8800-983123ab1731",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "c3867aef-2315-4fe8-b807-ab6e2637f1d0",
"rights": [
{
"code": "sample string 1",
"id": "c0f6e07a-33d2-41ef-a0dd-3787c80cd4fc"
},
{
"code": "sample string 1",
"id": "c0f6e07a-33d2-41ef-a0dd-3787c80cd4fc"
}
],
"site_id": "55716bea-10c1-4a5e-aa90-2ada89213a60",
"zone_id": "9a261e90-26f2-4568-82af-3257d5e65a2e"
},
{
"active": true,
"cleanroom_id": "ee5189d5-f403-4181-a221-c25bc8499fba",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "16d5cf7c-860f-426f-99c7-6cd5f1bd4097",
"local_ip": "sample string 7",
"lock_id": "edf6294f-cc35-4c8f-8800-983123ab1731",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "c3867aef-2315-4fe8-b807-ab6e2637f1d0",
"rights": [
{
"code": "sample string 1",
"id": "c0f6e07a-33d2-41ef-a0dd-3787c80cd4fc"
},
{
"code": "sample string 1",
"id": "c0f6e07a-33d2-41ef-a0dd-3787c80cd4fc"
}
],
"site_id": "55716bea-10c1-4a5e-aa90-2ada89213a60",
"zone_id": "9a261e90-26f2-4568-82af-3257d5e65a2e"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc>
<active>true</active>
<cleanroom_id>ee5189d5-f403-4181-a221-c25bc8499fba</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>16d5cf7c-860f-426f-99c7-6cd5f1bd4097</id>
<local_ip>sample string 7</local_ip>
<lock_id>edf6294f-cc35-4c8f-8800-983123ab1731</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>c3867aef-2315-4fe8-b807-ab6e2637f1d0</pc_type_id>
<rights>
<right>
<ID>c0f6e07a-33d2-41ef-a0dd-3787c80cd4fc</ID>
<code>sample string 1</code>
</right>
<right>
<ID>c0f6e07a-33d2-41ef-a0dd-3787c80cd4fc</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>55716bea-10c1-4a5e-aa90-2ada89213a60</site_id>
<zone_id>9a261e90-26f2-4568-82af-3257d5e65a2e</zone_id>
</pc>
<pc>
<active>true</active>
<cleanroom_id>ee5189d5-f403-4181-a221-c25bc8499fba</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>16d5cf7c-860f-426f-99c7-6cd5f1bd4097</id>
<local_ip>sample string 7</local_ip>
<lock_id>edf6294f-cc35-4c8f-8800-983123ab1731</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>c3867aef-2315-4fe8-b807-ab6e2637f1d0</pc_type_id>
<rights>
<right>
<ID>c0f6e07a-33d2-41ef-a0dd-3787c80cd4fc</ID>
<code>sample string 1</code>
</right>
<right>
<ID>c0f6e07a-33d2-41ef-a0dd-3787c80cd4fc</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>55716bea-10c1-4a5e-aa90-2ada89213a60</site_id>
<zone_id>9a261e90-26f2-4568-82af-3257d5e65a2e</zone_id>
</pc>
</ArrayOfpc>